services:
    # Fixtures steps --------------------------------------------------------------------------------------------------
    pim_installer.step.fixtures_attribute_group_csv.import:
        class: '%pim_connector.step.item_step.class%'
        arguments:
            - 'import'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.file.csv_attribute_group'
            - '@pim_connector.processor.denormalization.attribute_group'
            - '@pim_connector.writer.database.attribute_group'
            - 100
            - '@akeneo_batch.job.job_stopper'

    pim_installer.step.fixtures_channel_csv.import:
        class: '%pim_connector.step.item_step.class%'
        arguments:
            - 'import'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.file.csv_channel'
            - '@pim_connector.processor.denormalization.channel'
            - '@pim_connector.writer.database.channel'
            - 100
            - '@akeneo_batch.job.job_stopper'

    pim_installer.step.fixtures_locale_csv.import:
        class: '%pim_connector.step.item_step.class%'
        arguments:
            - 'import'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.file.csv_locale'
            - '@pim_connector.processor.denormalization.locale'
            - '@pim_connector.writer.database.locale'
            - 100
            - '@akeneo_batch.job.job_stopper'

    pim_installer.step.fixtures_currency_csv.import:
        class: '%pim_connector.step.item_step.class%'
        arguments:
            - 'import'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.file.csv_currency'
            - '@pim_connector.processor.denormalization.currency'
            - '@pim_connector.writer.database.currency'
            - 100
            - '@akeneo_batch.job.job_stopper'

    pim_installer.step.fixtures_group_type_csv.import:
        class: '%pim_connector.step.item_step.class%'
        arguments:
            - 'import'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.file.csv_group_type'
            - '@pim_connector.processor.denormalization.group_type'
            - '@pim_connector.writer.database.group_type'
            - 100
            - '@akeneo_batch.job.job_stopper'

    pim_installer.step.fixtures_user_csv.import:
        class: '%pim_connector.step.item_step.class%'
        arguments:
            - 'import'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.file.csv_user'
            - '@pim_installer.processor.denormalization.user'
            - '@pim_connector.writer.database.user'
            - 100
            - '@akeneo_batch.job.job_stopper'

    pim_installer.step.fixtures_user_role_csv.import:
        class: '%pim_connector.step.item_step.class%'
        arguments:
            - 'import'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.file.csv_user_role'
            - '@pim_connector.processor.denormalization.user_role'
            - '@pim_connector.writer.database.user_role'
            - 100
            - '@akeneo_batch.job.job_stopper'

    pim_installer.step.fixtures_user_group_csv.import:
        class: '%pim_connector.step.item_step.class%'
        arguments:
            - 'import'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.file.csv_user_group'
            - '@pim_connector.processor.denormalization.user_group'
            - '@pim_connector.writer.database.user_group'
            - 100
            - '@akeneo_batch.job.job_stopper'

    pim_installer.step.fixtures_job_yml.import:
       class: '%pim_connector.step.item_step.class%'
       arguments:
            - 'import'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            - '@pim_connector.reader.file.yaml_job_instance'
            - '@pim_connector.processor.denormalization.job_instance'
            - '@pim_connector.writer.database.job_instance'
            - 100
            - '@akeneo_batch.job.job_stopper'
